Holger's Java API

## com.antelmann.db
Interface Category<T>

Type Parameters:
  `T` - denotes the type of the context object required to obtain sub-categories (the context would typically be a database, url, file, connection or alike)

All Known Subinterfaces:
  MutableCategory<T>

All Known Implementing Classes:
  Category.Adapter, Category.Entry, GeoLocation, MutableCategory.Adapter, MutableCategory.Entry

    public interface Category<T>

represents a category that may be associated with any kind of entry and supports cascading sub-categories

Since:
  07.11.2008, 14:51:42
Author:
  Holger Antelmann
See Also:
  `Categorized`, `CategoryNode`, `JCategoryField`, `MutableCategory`

Nested Class Summary
`static class` `Category.Adapter<T>`
`static class` `Category.Entry`

Method Summary
`String` `getCategoryName()` returns the name for this category
`Category<T>` `getParentCategory()` returns the super category that this category belongs to - or null if it is a top-level category
`List<? extends Category<T>>` `getSubCategories(T context)` retrieves a list of sub-categories for this category

Method Detail

### getCategoryName

    String getCategoryName()

  returns the name for this category

### getParentCategory

    Category<T> getParentCategory()

  returns the super category that this category belongs to - or null if it is a top-level category

### getSubCategories

    List<? extends Category<T>> getSubCategories(T context)
                                                 throws IOException

  retrieves a list of sub-categories for this category

  Parameters:
    `context` - the object (typically a database, a file, a URL, etc.) that provides the information required to derive the children from.
  Returns:
    a list of Category objects that have this instance as a parent
  Throws:
    `IOException` - if the categories could not be retrieved

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads